Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class ResponseCodeUrlMapping

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMapping
          org.codehaus.groovy.grails.web.mapping.ResponseCodeUrlMapping

All Implemented Interfaces:
  UrlMapping

    @SuppressWarnings("rawtypes")
    public class ResponseCodeUrlMapping
    extends AbstractUrlMapping

A Url mapping for http response codes.

Authors:
  mike

Since:
  1.0-RC1

Field Summary

Fields inherited from class AbstractUrlMapping
actionName, constraints, controllerName, forwardURI, mappingName, parameterValues, parseRequest, restful, servletContext, viewName

Constructor Summary
`ResponseCodeUrlMapping(UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object viewName, ConstrainedProperty[] constraints, ServletContext servletContext)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
`java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
`java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding)`
`java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
`java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
`java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
`java.lang.Object` | `getActionName()`
`ConstrainedProperty[]` | `getConstraints()`
`java.lang.Object` | `getControllerName()`
`java.lang.Class` | `getExceptionType()`
`UrlMappingData` | `getUrlData()`
`java.lang.Object` | `getViewName()`
`UrlMappingInfo` | `match(java.lang.String uri)`
`UrlMappingInfo` | `match(int responseCode)`
`void` | `setExceptionType(java.lang.Class exClass)`
`void` | `setParameterValues(java.util.Map parameterValues)`

Methods inherited from class AbstractUrlMapping
getActionName, getConstraints, getControllerName, getMappingName, getViewName, hasRuntimeVariable, isRestfulMapping, setMappingName, setParameterValues, setParseRequest, setRestfulMapping

Constructor Detail

### ResponseCodeUrlMapping

    public ResponseCodeUrlMapping(UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object viewName, ConstrainedProperty[] constraints, ServletContext servletContext)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

### createRelativeURL

    public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

### createRelativeURL

    public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

### createURL

    public java.lang.String createURL(java.util.Map values, java.lang.String encoding)

### createURL

    public java.lang.String createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)

### createURL

    public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

### createURL

    public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

### getActionName

    @Override
    public java.lang.Object getActionName()

### getConstraints

    @Override
    public ConstrainedProperty[] getConstraints()

### getControllerName

    @Override
    public java.lang.Object getControllerName()

### getExceptionType

    public java.lang.Class getExceptionType()

### getUrlData

    public UrlMappingData getUrlData()

### getViewName

    @Override
    public java.lang.Object getViewName()

### match

    public UrlMappingInfo match(java.lang.String uri)

### match

    public UrlMappingInfo match(int responseCode)

### setExceptionType

    public void setExceptionType(java.lang.Class exClass)

### setParameterValues

    @Override
    public void setParameterValues(java.util.Map parameterValues)

Groovy Documentation